[build-system]
requires = ["setuptools >= 80.9.0"]
build-backend = "setuptools.build_meta"

[project]
name = "cz-powertools"
version = "0.0.1-rc2"
description = "CloudZero wrappers around the routing functionality in AWS powertools (https://github.com/aws-powertools/powertools-lambda-python)"
readme = "README.md"
requires-python = ">=3.12"
dependencies = [
    "aws-lambda-powertools",
    "boto3",
    "cz-common-python>=8.0.0",
    "pydantic>=2.0.0",
    "requests"
]

[project.optional-dependencies]
dev = [
    "flake8-copyright",
    "isort",
    "mypy",
    "pytest",
    "pytest-cov",
    "pytest-csv",
    "pytest-env",
    "pytest-mock",
    "pytest-xdist",
    "ruff>=0.8.4",
    "wheel"
]

[tool.ruff]
extend = "cz_build_common/python/ruff/ruff.toml"
include = ["src/**/*.py", "tests/**/*.py"]
extend-exclude = ["\\{\\{cookiecutter.project_slug\\}\\}/**/*.py"]

[tool.setuptools.packages.find]
where = ["."]
include = ["cz_powertools*"]

[tool.setuptools.package-data]
cz_powertools = ["py.typed"]